---
id: dimension-create
title: "Create a dimension"
description: "Creates a dimension."
sidebar_label: "Create a dimension"
hide_title: true
hide_table_of_contents: true
api: eJzNVk1v2zgQ/SvEnFpAsZO02A8COWT7AbSH7qLxYg+GEdDSWGJLkcqQsusV9N8XQ8m2lLpNtq2BnkyLw3lvhm8400CGPiVdBe0sSHhBqAJ6oUSmS7ReOzuBBFyFpNjkTQYS9lsyjeaQQFC5BzmHl7stWCRAeFejD3+4bAuygdTZgDbwUlWV0Wn0OP3gGbkBnxZYKl6FbYUgwS0/YBqg86MJMwawqmQ8SxGhImYWNHo+F/cO530gbXNI7oU4K1CwpXArEQo8BAoJ4CdVVoYPv7JrTc6WTLjt8B70/O79O/FEBeFILNG4zVOxKZBwjCJi7OhHaI5yZfW/MSFXF1KlqattuLqUTNRXKsWrZ3KQtKvnTMpRhjSgpW3AHAkSKLXVZV2CvDgWfUXakQ5bEQrtB8w22hhRqDUyb4trJEG1DbpEkTq70nndiUCslalZJISiRMoxE0+M2yCJitBE/RQ6L5CErcslkn86GUZ70bYJBB1i5D3A7Qjgds+p0yO0LZ/xmNbMG+S8gSUqQrquQwFyvmij3HzlrO+0cHl+zj+fB7+XstgoL3ydpuj9qjZM8ZsVOtahzo5eypjLtfBbH7A82+gMRW31XY3izUtBWBF6tEHbfKyccRIvnz1nXZ5O8j6oUPvHOe9sO/dDSUXKloU4B5UGveba1bZfLobo/TcGNnX+MOx1jOgsQ9JrzERn9djsAZ66vCc/YX0Xyp+6shPoPBwrks+J7tDWShu1NChWjo4o6JTVFSmMgvj9t19/+f7KOuIYboLK2cn3FdfxizsGfKrCe7DWjgXvD8H/wGqLQD+u5h7fmG4j8v85EZtYm0CJoXA8RlXOx96huIXBdPgoe6Q1ko+NriYDEooQKi+nU1Xpia2NqYwKK0flJHUlcPfbNccbblJdpQxb5D7d7IgRohnI3giSfvHaUakCSHj7zyxGx83v/WGQe7XL727cGrWN/m6/Jff7544fEW1XjiE4CZ0cLibnk3M4JHs/aHpWFKeyVHbAqhschnPsfYUNBtIvjb19ygJ+CtPKKG0ZK95H01/b/DAMc1UVfKVyDk2zVB7/JtO2/PmuRuKpZcHPI2l+6uLQkkCBKgY9b+AjbplJx+lsxtD9a8pFen8caZPdies0xSp81XYxUN1ff97M+Lb7obx0WdSu2vCgrTYgIc77IaZWNt23Boyyea1ytu18sjbUWFr3pBSj6reU3Q4YNk1nMXMf0bYtJH0ogf9Du2jb9j9/YmpN
sidebar_class_name: "post api-method"
info_path: docs/api/dimensions
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Create a dimension"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/dimension"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Creates a dimension.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={undefined}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"type":"object","required":["name","nrn"],"properties":{"name":{"type":"string","description":"The name of the dimension","example":"Environment"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension applies","example":"organization=1:account=2:namespace=3:application=4"},"order":{"type":"integer","minimum":1,"description":"The priority this dimension will have whenever runtime configuration values are merged (lower prelates higher numbers).","example":1}},"title":"runtime_configuration_dimensionCreate"}}}}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"A system-wide unique ID representing the dimension.","example":1234},"name":{"type":"string","description":"The name of the dimension","example":"Environment"},"status":{"type":"string","description":"The status of this dimension.","enum":["active","inactive"],"example":"active"},"slug":{"type":"string","description":"A name-derived string representing the dimension.","example":"environment"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension applies.","example":"organization=1:account=2:namespace=3:application=4"},"order":{"type":"integer","minimum":1,"description":"The priority this dimension has whenever runtime configuration values are merged (lower prelates higher numbers).","example":1},"values":{"type":"object","description":"The values available for this dimension.","properties":{"id":{"type":"integer","description":"A system-wide unique ID representing the value.","example":9876},"name":{"type":"string","description":"The name of the dimension value.","example":"Staging"},"status":{"type":"string","description":"The status of this runtime configuration dimension value.","enum":["active","inactive"],"example":"active"},"slug":{"type":"string","description":"A string representing the dimension value.","example":"staging"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension value applies.","example":"organization=1:account=2:namespace=3:application=4"}},"title":"runtime_configuration_dimension_value"}},"title":"runtime_configuration_dimension"}}}}}}
>
  
</StatusCodes>


      